.fab-container {

    position: fixed !important;

    bottom: 10%;

    right: 50px;

    width: 60px;

    height: 60px;

    z-index: 999;

    cursor: grab;

    border-radius: 50%;

    display: flex;

    align-items: center;

    justify-content: center;

}





.draggable {

    touch-action: none;

    user-select: none;

    position: absolute;

}



.center-button {

    position: absolute;

    top: 50%;

    left: 7%;

    transform: translate(-50%, -50%);

    width: 50px;

    height: 50px;

    padding: 10px;

    background-color: #E73F3F;

    border: 3px solid white;

    border-radius: 50%;

    display: flex;

    justify-content: center;

    align-items: center;

    cursor: pointer;

    color: white;

    font-size: 24px;

    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);

    z-index: 3;

}



.menu-button {

    position: absolute;

    top: 50%;

    padding: 10px;

    background-color: #E73F3F;

    border: 2px solid white;

    border-radius: 50%;

    display: flex;

    justify-content: center;

    align-items: center;

    color: white;

    font-size: 20px;

    transform: translate(-50%, -50%) scale(0);

    transition: transform 0.5s ease-out, opacity 0.5s ease-out;

    z-index: 1;

    opacity: 0;

}



.menu-button a {

    overflow: hidden;

}



.menu-button img,

.menu-button a,

.center-button img {

    width: 30px;

    height: 30px;

}





.menu-button.show {

    transform: translate(calc(-50% + var(--x)), calc(-50% + var(--y))) scale(1);

    opacity: 1;

}



.menu-button .material-icons {

    font-size: 32px;

}





.small_img {

    height: 260px;

    width: calc(100% - 90px);

    border-radius: 20px;

    margin-left: 70px;

    margin-top: 15px;

    object-fit: cover;

    object-position: center;

}



.hidden {

    display: none !important;

}



.Fabqr-crop-rotate {

    position: relative !important;

    border: none !important;

    font-size: 23px !important;

    z-index: 99999999999999999;

    max-width: 84%;

    margin: 0 0 1rem;

}



.Fabqr-crop-rotate #Fabqr-rotation-slider,
.Fabqr-crop-rotate #Mcqr-rotation-slider {

    width: 100%;

    display: block;

}



.Fabqr-crop-rotate .bubble,

.Fabqr-crop-rotate .Fabqr-preview-image-bubble {

    background: #0cea22;

    color: white;

    padding: 1px 10px;

    position: absolute;

    border-radius: 4px;

    left: 50%;

    transform: translateX(-50%);

    font-size: 16px;

    margin-top: 2px;

}



.Fabqr-crop-rotate .bubble::after,

.Fabqr-crop-rotate .Fabqr-preview-image-bubble::after {

    content: "";

    position: absolute;

    width: 2px;

    height: 2px;

    background: #0cea22;

    top: -1px;

    left: 50%;

}





#fab-qr-copied-text-container,
#mc-qr-copied-text-container,
#mc-qr-copied-account_id-container {

    width: fit-content !important;

    height: fit-content !important;

    padding: 5px 10px;

    border-radius: 6px;

    max-width: 350px !important;

    /* color: lightyellow; */

    /* background-color: rgba(0, 0, 0, 0.5); */

}

.orbox,
.mc-qr-orbox {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.orbox hr,
.mc-qr-orbox hr {

    border: 1px solid #d6dae0;
    width: 49%;
}


/* div#reader__dashboard_section_csr button {
    color: #fff;
    background-color: #f00f00;
    border: 1px solid #f00f00;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
}

div#reader__dashboard_section_csr button:hover {
    background-color: #d5745b;
    border-color: #c86e56;
}

div#reader__dashboard_section_csr button:focus {
    outline: none;
    box-shadow: 0 0 0 4px rgba(251, 155, 129, 0.5);
}

div#reader__dashboard_section_csr button:active {
    background-color: #c86e56;
    border-color: #bc6750;
    box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
} */

#fab-qr-reader,
#mc-qr-reader {
    border: none !important;
    max-width: 100%;
    margin: auto;
}


/* .cropper-canvas {
            max-width: 500px;
        }
        
        .cropper-canvas img {
            width:100% !important;    
        }

         */





div#magicScanModal .modal-content,
div#FabQrScanModal .modal-content {
    height: auto !important;
}

div#magicScanModal div#reader__dashboard_section_csr button,
div#FabQrScanModal div#reader__dashboard_section_csr button {
    padding: 8px 15px !important;
    font-size: 14px !important;
}

div#magicScanModal div#reader__dashboard_section_csr,
div#FabQrScanModal div#reader__dashboard_section_csr {
    margin: 10px 0px;
    display: flex !important;
    gap: 20px;
    flex-direction: column !important;
}







/* pop up  */


.popup {
    border: 3px solid limegreen;
    border-radius: 20px;
    padding: 50px 10px;
    background: rgb(25 25 25);
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    border: 5px solid #6d6d6d
}

.top-section,
.bottom-section {
    width: 100%;
    text-align: center;
}

.middle-section {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.keyboard-btn {
    cursor: pointer;
    font-size: 24px;
}

.keyboard-btn img {
    width: 45px;
}

.keyboard {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.keys {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
    margin-bottom: 30px;
}

.popup .row {
    display: flex;
    justify-content: center;
    margin: 5px 0;
    gap: 4px;
}

.key {
    border-radius: 9px;
    border-width: 2px;
    padding-top: 5px;
    padding-right: 10px;
    padding-bottom: 5px;
    padding-left: 10px;
    gap: 10px;
    border: 2px solid #12FC29;
    color: #F8FD10;
    font-family: Inter;
    font-weight: 400;
    font-size: 20px;
    line-height: 1;
    letter-spacing: 35%;
    text-align: center;
    width: fit-content;
    background: transparent;
}

div#mobileKeyboard,
div#qwertyKeyboard {
    display: none;
}

.visible {
    display: flex !important;
}

#mobileKeyboard .key {
    padding-left: 10px;
    padding-right: 10px;
}

.bottom-section>div,
.top-section>div {
    border-radius: 15px;
    padding: 16px 31px;
    gap: 10px;
    border: 5px solid #79D982;
    font-family: Inter;
    font-weight: 400;
    font-size: 24px;
    line-height: 29.05px;
    letter-spacing: 5px;
    text-align: center;
    width: fit-content;
    margin: auto;
}



.middle-section img {
    width: 150px;
    height: 150px;
    object-fit: cover;
    object-position: center;
}

.top-section,
.bottom-section {
    position: relative;
    width: fit-content;
}

/* span.keyboard-btn {
    position: absolute;
    right: -40px;
    top: 50%;
    transform: translateY(-50%);
}

span.keyboard-btn img {
    width: 40px;
    background: #F8FD10;
    border-radius: 5px;
} */



.main_img {
    width: 123px;
    height: 121px;
    margin-top: 50px;
}

.tick_img {
    width: 76px;
    height: 76px;
    object-fit: contain;
    margin: 0px 0px 40px;
}

.back {
    display: flex;
    justify-content: space-between;
    width: 90%;
}

.back>span {
    border-radius: 7px;
    border-width: 1px;
    padding-top: 17px;
    padding-right: 24px;
    padding-bottom: 17px;
    padding-left: 24px;
    gap: 10px;
    border: 1px solid #12FC29;
    background: #000000DB;
    color: #0E762B;
    ;
}

.back>span img {
    width: 35px;
    height: auto;
}


.popup button.btn-close {
    position: relative;
    z-index: 1;
}

.popup button.btn-close::before,
.popup button.btn-close::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 4px;
    /* Thickness of the X */
    background-color: limegreen;
    top: 50%;
    left: 0;
}

.popup button.btn-close::before {
    transform: rotate(45deg);
}

.popup button.btn-close::after {
    transform: rotate(-45deg);
}

.popup .modal-content {
    border-radius: 20px;
}

.fab-camera-btn i {
    color: #ede9e9;
    font-size: 30px;
}


div#magicScanModal .modal-header,
div#FabQrScanModal .modal-header {
    background-color: #191919;
}

div#magicScanModal .modal-body,
div#FabQrScanModal .modal-body {
    background-color: #191919 !important;
}

div#magicScanModal .modal-footer,
div#FabQrScanModal .modal-footer {
    background-color: #191919;
}

div#magicScanModal .modal-title,
div#FabQrScanModal .modal-title {
    color: #fff;
}

div#magicScanModal label,
div#FabQrScanModal label {
    color: #fff;
    display: inline-block;
}


div#magicScanModal hr,
div#FabQrScanModal hr {
    border-color: #ffffff;
    width: 80%;
    height: 1px;
}

.pop-up_hr {
    width: 72%;
    height: 1px;
}


div#qr-shaded-region>div {
    background-color: #ffc300 !important;
}




@media (max-width: 767px) {
    .cropper-container.cropper-bg {
        width: 300px !important;
    }
}

#reader__scan_region video {
    width: 300px !important;
}

/* #reader__dashboard_section_csr >div:has(#html5-qrcode-input-range-zoom){
    display:block !important;
} */


@media(max-width:767px) {
    div.keyboard .key {
        padding-top: 5px;
        padding-right: 5px;
        padding-bottom: 5px;
        padding-left: 5px;
        font-weight: 400;
        font-size: 16px;
    }
}

select#camera-select,
select#mc-qr-camera-select {
    font-size: 14px;
    border-radius: 4px;
    padding: 3px 5px;
    width: 152px;
    margin-left: 5px;
}

input#qrbox-size,
input#mc-qrbox-size {
    padding: 3px 5px;
    border-radius: 4px;
    margin-left: 5px;
}

input#zoom-range,
input#mc-qr-zoom-range {
    margin-left: 5px;
}



div#fab-qr-html5scan-settings>div,
div#mc-qr-html5scan-settings>div {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

/* div#div-fab-qr-html5scanner {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
} */

div#div-fab-qr-html5scanner label,
div#div-mc-qr-html5scanner label {
    width: 100%;
}

svg.bi.bi-qr-code-scan,
svg.bi.bi-lightning-fill,
svg.bi.bi-gear {
    margin-bottom: 2px;
    margin-left: 4px;
}

button#fab-qr-stop-scan,
button#fab-qr-start-scan,
button#mc-qr-stop-scan,
button#mc-qr-start-scan {
    width: fit-content;
    margin: auto;
}

input#mc-qr-copied-account_id,
input#fab-qr-copied-text,
input#mc-qr-copied-text {
    padding: 10px;
    font-size: 20px;
}


.cn-switch {
    position: relative;
    display: inline-block;
    width: 42px !important;
    height: 22px !important;
}

.cn-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.cn-switch span {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: 0.4s;
    border-radius: 34px;
}

.cn-switch span::before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 3px;
    top: 3px;
    background-color: white;
    transition: 0.4s;
    border-radius: 50%;
}

/* Checked */
.cn-switch input:checked + span {
    background-color: #e73f3f;
}

.cn-switch input:checked + span::before {
    transform: translateX(20px);
}

/* magic scan switch */
.mc-cn-switch {
    position: relative;
    display: inline-block;
    width: 42px !important;
    height: 22px !important;
}

.mc-cn-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.mc-cn-switch span {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: 0.4s;
    border-radius: 34px;
}

.mc-cn-switch span::before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 3px;
    top: 3px;
    background-color: white;
    transition: 0.4s;
    border-radius: 50%;
}

/* Checked */
.mc-cn-switch input:checked + span {
    background-color: #e73f3f;
}

.mc-cn-switch input:checked + span::before {
    transform: translateX(20px);
}